PutConfigurationSetDeliveryOptions method
Updates delivery settings for a configuration in a folder. The folder is selected based on the service account the request originates from.
Request
PUT /v2/email/configuration-sets/{ConfigurationSetName}/delivery-options HTTP/2
Path parameters
|
Parameter |
Description |
|
|
Type: String. Name of the configuration to update. |
Request headers
Use common request headers in your requests.
Request body
{
"TlsPolicy": "REQUIRE|OPTIONAL",
"SendingPoolName": "<pool_name>"
}
|
Parameter |
Description |
|
|
Type: String. Outgoing connection security policy. Specifies whether or not to use the TLS protocol for mail covered by the configuration. If |
|
|
Type: String. Name of the pool of IP addresses that will be used to send emails covered by the configuration. This is an optional parameter. |
Warning
This method completely updates the configuration's delivery settings. If you do not specify SendingPoolName during the call, the pool will be unlinked from the configuration, and emails will be sent from the service’s shared IP addresses.
Note
If a configuration is linked to a pool with no allocated IP addresses, sending emails with that configuration will fail: the SendEmail method will return the 404 NotFoundException error. The system will not automatically fall back to the shared IP address pool.
Responses
200 OK
A successful request returns 200 OK in the response.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters, or the pool specified in |
|
|
The requested resource was not found. |
|
|
The request quota was exceeded. |